---
- hosts: all
  gather_facts: false
  strategy: free
  tasks:
    - name: Update rpm packages via yum
      yum:
        name: '*'
        state: latest
        skip_broken: yes
      register: yum_result
      retries: 3
      until: yum_result is not failed
    - name: Show results from package manager
      ansible.builtin.debug:
        var: yum_result.changes
        # verbosity: 1
    # - name: Reboot
    #   reboot:
    #     reboot_timeout: 3600
    #   when: auto_reboot == "true"

